package eu.ruekov.ruakij.LinkedBeaconTeleporters.linkedBeaconTeleporter;

import eu.ruekov.ruakij.LinkedBeaconTeleporters.Main;
import org.bukkit.Location;
import org.bukkit.block.Block;

import java.util.List;

public class LinkedBeaconTeleporterBlock extends LinkedBeaconTeleporter {
    // FIXME: Storing the block like this will block the world from unloading and might be dangerous
    Block block;

    public LinkedBeaconTeleporterBlock(String teleporterId, Block block) {
        super(teleporterId);

        this.block = block;
    }

    public Block block(){
        return block;
    }


    // Conversion methods
    public static LinkedBeaconTeleporterBlock getFromLocation(Location loc){
        return Main.lbtManager.getLbtBlockFromLocation(loc);
    }
    public static List<LinkedBeaconTeleporter> getListFromTeleportId(String teleportId){
        return Main.lbtManager.getLbtBlocksFromTeleportId(teleportId);
    }
}
